%define upstream_name    Storable
%define upstream_version 2.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Persistent data structure mechanism
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
The Storable package brings persistence to your Perl data structures
containing SCALAR, ARRAY, HASH or REF objects, i.e. anything that can be
conveniently stored to disk and retrieved at a later time.

It can be used in the regular procedural way by calling 'store' with a
reference to the object to be stored, along with the file name where the
image should be written.

The routine returns 'undef' for I/O problems or other internal error, a
true value otherwise. Serious errors are propagated as a 'die' exception.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc ChangeLog META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Nov 04 2011 jquelin <jquelin> 2.300.0-2.mga2
+ Revision: 162841
- take priority over module bundled with perl 5.14.2

  + kharec <kharec>
    - update to 2.30

* Fri Jul 08 2011 jquelin <jquelin> 2.290.0-1.mga2
+ Revision: 120345
- update to 2.29

* Sat Jun 11 2011 sander85 <sander85> 2.250.0-4.mga2
+ Revision: 103561
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 2.250.0-3.mga1
+ Revision: 53660
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 2.250.0-2.mga1
+ Revision: 23785
- rebuild

* Sun Jan 09 2011 jquelin <jquelin> 2.250.0-1.mga1
+ Revision: 4342
- imported package perl-Storable

